Package com.collibra.dgc.core.api.dto.meta.derivedrelationtype

# Class FindDerivedRelationTypesRequest

Object
FindDerivedRelationTypesRequest

Record Components:
  `sourceTypeId` - the id of the source Type of the Derived Relation Types to search for
  `sourceTypeName` - the name of the source Type of the Derived Relation Types to search for
  `role` - the role of the Derived Relation Types to search for
  `coRole` - the co-role of the Derived Relation Types to search for
  `targetTypeId` - the id of the target Type of the Derived Relation Types to search for
  `targetTypeName` - the name of the target Type of the Derived Relation Types to search for
  `sortOrder` - the order in which the results will be returned. The default value is `ASC`.

All Implemented Interfaces:
  `Serializable`

public class FindDerivedRelationTypesRequest extends Object implements Serializable
The search criteria for Derived Relation Types.

Only parameters that are specified in this request and do not have `null` values are used for filtering. All other parameters are ignored.

The returned Derived Relation Types satisfy all constraints that are specified in these search criteria.

By default, a result containing at most 1000 Derived Relation Types is returned.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `FindDerivedRelationTypesRequest.Builder`
  `static enum`
  `FindDerivedRelationTypesRequest.SortField`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindDerivedRelationTypesRequest()`
  `FindDerivedRelationTypesRequest(UUID sourceTypeId, String sourceTypeName, String role, String coRole, UUID targetTypeId, String targetTypeName, FindDerivedRelationTypesRequest.SortField sortField, SortOrder sortOrder, int offset, int limit, int countLimit)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FindDerivedRelationTypesRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `String`
  `getCoRole()`
  `int`
  `getCountLimit()`
  `int`
  `getLimit()`
  `int`
  `getOffset()`
  `String`
  `getRole()`
  `FindDerivedRelationTypesRequest.SortField`
  `getSortField()`
  `SortOrder`
  `getSortOrder()`
  `UUID`
  `getSourceTypeId()`
  `String`
  `getSourceTypeName()`
  `UUID`
  `getTargetTypeId()`
  `String`
  `getTargetTypeName()`
  `int`
  `hashCode()`
  `void`
  `setCoRole(String coRole)`
  `void`
  `setCountLimit(int countLimit)`
  `void`
  `setLimit(int limit)`
  `void`
  `setOffset(int offset)`
  `void`
  `setRole(String role)`
  `void`
  `setSortField(FindDerivedRelationTypesRequest.SortField sortField)`
  `void`
  `setSortOrder(SortOrder sortOrder)`
  `void`
  `setSourceTypeId(UUID sourceTypeId)`
  `void`
  `setSourceTypeName(String sourceTypeName)`
  `void`
  `setTargetTypeId(UUID targetTypeId)`
  `void`
  `setTargetTypeName(String targetTypeName)`
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FindDerivedRelationTypesRequest

    public FindDerivedRelationTypesRequest(UUID sourceTypeId, String sourceTypeName, String role, String coRole, UUID targetTypeId, String targetTypeName, FindDerivedRelationTypesRequest.SortField sortField, SortOrder sortOrder, int offset, int limit, int countLimit)

  - ### FindDerivedRelationTypesRequest

    public FindDerivedRelationTypesRequest()

- ## Method Details

  - ### builder

    public static FindDerivedRelationTypesRequest.Builder builder()

  - ### getSourceTypeId

    public UUID getSourceTypeId()

  - ### getSourceTypeName

    public String getSourceTypeName()

  - ### getRole

    public String getRole()

  - ### getCoRole

    public String getCoRole()

  - ### getTargetTypeId

    public UUID getTargetTypeId()

  - ### getTargetTypeName

    public String getTargetTypeName()

  - ### getSortField

    public FindDerivedRelationTypesRequest.SortField getSortField()

  - ### getSortOrder

    public SortOrder getSortOrder()

  - ### getOffset

    public int getOffset()

  - ### getLimit

    public int getLimit()

  - ### getCountLimit

    public int getCountLimit()

  - ### setSourceTypeId

    public void setSourceTypeId(UUID sourceTypeId)

  - ### setSourceTypeName

    public void setSourceTypeName(String sourceTypeName)

  - ### setRole

    public void setRole(String role)

  - ### setCoRole

    public void setCoRole(String coRole)

  - ### setTargetTypeId

    public void setTargetTypeId(UUID targetTypeId)

  - ### setTargetTypeName

    public void setTargetTypeName(String targetTypeName)

  - ### setSortField

    public void setSortField(FindDerivedRelationTypesRequest.SortField sortField)

  - ### setSortOrder

    public void setSortOrder(SortOrder sortOrder)

  - ### setOffset

    public void setOffset(int offset)

  - ### setLimit

    public void setLimit(int limit)

  - ### setCountLimit

    public void setCountLimit(int countLimit)

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`